Manuel de l'utilisateur de pamshuffle(1)

Mise à jour :

NOM
pamshuffle – Mélanger des pixels d’une image Netpbm

SYNOPSIS

pamshuffle [-column [-randomseed nombre_entier]] [fichier_pam]

Les abréviations minimales uniques sont autorisées. Un double tiret au lieu d’un seul peut être utilisé pour indiquer des options. Une espace peut être utilisée au lieu du signe égale pour séparer un nom d’option de sa valeur.

DESCRIPTION

Ce programme fait partie de Netpbm(1).

pamshuffle lit une image Netpbm en entrée et produit un fichier avec des pixels mélangés. L’opération change seulement l’emplacement de pixels existants, rien n’est ajouté ou supprimé.

Par défaut, les pixels changent d’emplacement dans les lignes indépendamment, mais il est possible de réaliser le même mélange sur chaque ligne, signifiant que le programme peut mélanger des colonnes verticales de pixels. Dans tous les cas, il n’y a pas de réarrangement vertical. Cela signifie que des images composées exclusivement de bandes horizontales telles que les drapeaux nationaux d’Allemagne, de Thaïlande et d’Ukraine n’apparaitront pas modifiés.

Pour un mélange vertical ou pour réaliser un mélange intégral, pamshuffle doit être utilisé avec pamflip(1) (voir les exemples ci-après).

L’entrée standard est utilisée si aucun fichier_pam n’est indiqué en entrée.

La sortie est faite sur la sortie standard.

pamshuffle accepte un flux multi-image. Il opère sur chaque image du flux indépendamment et produit un flux multi-image.

L’algorithme de mélange est la très connue méthode de Fisher-Yates (https://en.wikipedia.org/wiki/Fisher%E2%80%93Yates_shuffle) .

OPTIONS

En plus des options communes à tous les programmes basés sur libnetpbm (notablement -quiet, voir
 Options communes index.html#commonoptions ), pamshuffle reconnait les options de ligne de commande suivantes :

-column
    Mélanger les colonnes verticales, c’est-à-dire réaliser le même mouvement sur chaque ligne. Sans cette option, le programme mélange chaque ligne indépendamment.

-randomseed= nombre_entier
    Cette option indique la graine du générateur de nombre aléatoire qui sert au mélange des pixels.

    Elle est à utiliser pour obtenir la même image dans des invocations distinctes.

    Par défaut, pamshuffle utilise une graine dérivée de l’heure du jour et de l’ID du processus, ce qui fournit des résultats différents pour plusieurs invocations.

EXEMPLES

Dans les exemples suivants, la sortie se fait sur la sortie standard. Un ajout de redirection sera probablement nécessaire pour quelque chose utile.

–

    pamshuffle est utile pour rendre aléatoire la sortie ordonnée de générateurs d’image tels que pamseq(1) et pgmramp(1).

    Produire cinq permutations selon les entiers 0 à 15 :

     pgmramp -lr -maxval=15 16 5 | pamshuffle -plain

–   Mélanger des colonnes :

     pamshuffle -column image.ppm

–   Mélanger des lignes :

     pamflip -cw image.ppm | pamshuffle | pamflip -ccw

–   Réaliser un mélange total :

     pamflip -cw image.ppm | pamshuffle | pamflip -ccw | pamshuffle

VOIR AUSSI
pamseq(1), pgmramp(1), pamflip(1), ppmshift(1), ppmspread(1), pam(1)

HISTORIQUE

pamshuffle est apparu dans Netpbm 10.99 (juin 2022).

AUTEUR

Akira F. Urushibata. Contribution de l'auteur au domaine public.

SOURCE DU DOCUMENT
Cette page de manuel a été générée par l'outil « makeman » de Netpbm depuis une source HTML. La documentation principale est à

    http://netpbm.sourceforge.net/doc/pamshuffle.html

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.